"use strict";
// See http://code.fitness/post/2016/01/javascript-enumerate-methods.html
Object.defineProperty(exports, "__esModule", { value: true });
class ClassUtils {
    hasMethod(value, name) {
        const desc = Reflect.getOwnPropertyDescriptor(value, name);
        return !!desc && typeof desc.value === 'function';
    }
    getInstanceMethodNames(value, stop) {
        const names = [];
        let proto = Reflect.getPrototypeOf(value);
        while (proto && proto !== stop) {
            Object.getOwnPropertyNames(proto)
                .forEach(name => {
                if (name !== 'constructor' && this.hasMethod(proto, name)) {
                    names.push(name);
                }
            });
            proto = Reflect.getPrototypeOf(proto);
        }
        return names;
    }
}
exports.ClassUtils = ClassUtils;
exports.classUtils = new ClassUtils();
//# sourceMappingURL=class-utils.js.map